#!/bin/bash

###############################################################
#
#  Kill RHB instance if necessary
#
#

pkill RHB
pkill faster_file2rhb

###############################################################
#
#  Display data file content summary
#
#  see in the file : 
#	labels 13 and 14 are HIGH VOLTAGE ("HV")
#

echo "-------------------------------------------------------------------"

faster_disfast hv_data_0001.fast -I

echo "-------------------------------------------------------------------"

###############################################################
#
#  Send data to RHB at 10kHz
#     => 0.0001s delay
#     => processus in background (&)
#

faster_file2rhb  hv_data_0001.fast 0.0001 &


###############################################################
#
#  Launch RHB visu
#
#  see .RHBrc       ->  RHB default behaviours
#      HV.pid       ->  faster data declaration
#      HV.facqConf  ->  histograms declaration
#      HV.rhvConf   ->  visualisation configuration
#

RHB  -r









###############################################################

pkill faster_file2rhb



