#ifndef RHB_CUSTOM_H
#define RHB_CUSTOM_H

#include "FEventProcessorThread.h"
#include "FParamBrutSimple.h"




class RHB_Custom : public FEventProcessorThread {

  protected:
    FParam           *samples_2;
    FParamBrutSimple *nb_pts;
    FParamBrutSimple *base_line;
    FParamBrutSimple *charge;
    FParamBrutSimple *max;
    FParamBrutSimple *min;
    FParamBrutSimple *fwhm;
    FParamBrutSimple *risetime;

    Int_t n;

  public:

    virtual void  InitParams     (void);
    virtual void  SetParamValues (void);

    ClassDef (RHB_Custom, 1)

};

#endif

