#ifndef RHB_CUSTOM_H
#define RHB_CUSTOM_H

#include "FEventProcessorThread.h"
#include "FParamBrutSimple.h"


class RHB_Custom : public FEventProcessorThread 
{
	protected:
	FParam *thvn;
        FParam *thvp;

	FParamBrutSimple *Time_HV_N;
        FParamBrutSimple *Time_HV_P;
		
	Double_t t0hvn;
        Double_t t1hvn;
        Double_t t0hvp;
        Double_t t1hvp;	

	public:
	virtual void  InitParams	 (void);
	virtual void  SetParamValues (void);

	ClassDef (RHB_Custom, 1)
};

#endif

