#ifndef RHB_CUSTOM_H
#define RHB_CUSTOM_H

#include "FEventProcessorThread.h"
#include "FParamBrutSimple.h"




class RHB_Custom : public FEventProcessorThread {

  protected:
    FParam           *samples_2;
    FParamBrutSimple *qdc_tot;
    FParamBrutSimple *qdc_fast;
    FParamBrutSimple *qdc_ratio;
    Int_t            nb_fast;

  public:

    virtual void  InitParams     (void);
    virtual void  SetParamValues (void);

    ClassDef (RHB_Custom, 1)

};

#endif

