#ifndef RHB_CUSTOM_H
#define RHB_CUSTOM_H

#include "FEventProcessorThread.h"
#include "FParamBrutSimple.h"




class RHB_Custom : public FEventProcessorThread {

  protected:
    FParam           *samples_2;
    FParamBrutSimple *unknowns;
    FParamBrutSimple *neutrons;
    FParamBrutSimple *gammas;
    Int_t            nu;
    Int_t            nn;
    Int_t            ng;
    Double_t         charge_thres;
    Double_t         ratio_thres;
    Int_t            nb_fast;

  public:

    virtual void  InitParams     (void);
    virtual void  SetParamValues (void);

    ClassDef (RHB_Custom, 1)

};

#endif

